classification
Title: installing latest version of a project
Type: Stage: resolved
Components: Distutils2 Versions: Python 3.3, 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, eric.araujo, janjaapdriessen, tarek, tshepang
Priority: normal Keywords:

Created on 2012-03-12 23:22 by janjaapdriessen, last changed 2014-03-13 02:30 by eric.araujo. This issue is now closed.

Messages (2)
msg155517 - (view) Author: Jan-Jaap Driessen (janjaapdriessen) Date: 2012-03-12 23:22
I would like to install the latest version of a package. The pysetup command does not give me easy access to do this. Can we add an 'upgrade' method?
msg155522 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-12 23:30
When you install a project for the first time and you don’t specify a version number, i.e. pysetup install spam, the latest version (or the latest final version (non-alpha/beta/rc), Alexis knows better) should be installed.  This could be added to the docs.

If you later run “pysetup install "spam (X.Y)"” where X.Y is a higher version than what’s installed, then the project should be upgraded, unless it breaks other project’s dependencies (i.e. ham depends on spam < X.Y).  There aren’t probably any tests for this.

If you have a version of spam installed and want to upgrade to the latest version that still satisfies other installed projects’ dependencies, without having to give a version number, (your request IIUC), then you could use a trick like “pysetup install "spam (< 99.99)"” (untested).  However, I agree that “pysetup install --upgrade spam” is a better UI: it’s less kludgy and already familiar to pip and easy_install users.
History
Date User Action Args
2014-03-13 02:30:03eric.araujosetstatus: open -> closed
resolution: out of date
stage: needs patch -> resolved
2012-03-17 11:00:08tshepangsetnosy: + tshepang
2012-03-12 23:30:13eric.araujosettitle: install latest version of a package -> installing latest version of a project
stage: needs patch
messages: + msg155522
versions: + 3rd party, - Python 2.6, Python 2.7
2012-03-12 23:22:49janjaapdriessencreate